using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATServer")]
public partial class Atserver
{
    [Key]
    [StringLength(255)]
    public string HostName { get; set; } = null!;

    public int? LogLevel { get; set; }

    [StringLength(255)]
    public string? LogFile { get; set; }

    public int? Limit { get; set; }

    public int? Interval { get; set; }

    [StringLength(20)]
    public string? Status { get; set; }

    public bool? RunExpired { get; set; }

    [InverseProperty("Server")]
    public virtual ICollection<AtscheduledItem> AtscheduledItems { get; set; } = new List<AtscheduledItem>();

    [InverseProperty("AssignedServer")]
    public virtual ICollection<AteventDefinition> AteventDefinitions { get; set; } = new List<AteventDefinition>();
}
